Package wx :: Module animate :: Class AnimationCtrl

[frames | no frames]

## Type AnimationCtrl

    object --+
             |
        Object --+
                 |
        EvtHandler --+
                     |
                Window --+
                         |
                   Control --+
                             |
             AnimationCtrlBase --+
                                 |
                                AnimationCtrl

Known Subclasses:
  `GIFAnimationCtrl`

Proxy of C++ AnimationCtrl class

Method Summary
AnimationCtrl | `__init__(self, parent, id, anim, pos, size, style, name)`
bool | ``Create`(self, parent, id, pos, size, style, validator, name)` Do the 2nd phase and create the GUI control.
| `DrawCurrentFrame(self, dc)`
Bitmap | `GetBackingStore(self)`
bool | `IsUsingWindowBackgroundColour(self)`
| `SetUseWindowBackgroundColour(self, useWinBackground)`

Property Summary
| `thisown`: The membership flag

Instance Method Details

### Create(self, parent, id, anim=NullAnimation, pos=DefaultPosition, size=DefaultSize, style=AC_DEFAULT_STYLE, name=AnimationCtrlNameStr)

Do the 2nd phase and create the GUI control.

  Parameters:
    `parent`
    (type=Window)

    `id`
    (type=int)

    `pos`
    (type=Point)

    `size`
    (type=Size)

    `style`
    (type=long)

    `validator`
    (type=Validator)

    `name`
    (type=String)

  Returns:
    bool
  Overrides:
    `wx.Control.Create` (inherited documentation)

Property Details

### thisown

The membership flag

  Get Method:
    unknown--1216578508(...)
  Set Method:
    unknown--1216578452(...)

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:08:02 2007 | http://epydoc.sf.net